/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.functionalintegrationtest.scenarios.service.common;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.test.context.transaction.AfterTransaction;
import org.springframework.test.context.transaction.BeforeTransaction;

import com.hack23.cia.service.api.common.AbstractServiceRequest;
import com.hack23.cia.service.api.common.ServiceResponse.ServiceResult;

/**
 * The Class UnknownRequestFailureTest.
 */
public class UnknownRequestFailureTest extends
    AbstractServiceRequestFunctionalIntegrationTest {

    /**
     * Instantiates a new unknown request failure test.
     */
    public UnknownRequestFailureTest() {
        super();
        this.testScenarioName = this.getClass().getSimpleName();
    }

    /* (non-Javadoc)
     * @see com.hack23.cia.functionalintegrationtest.scenarios.web.controller.common.AbstractFunctionalActionWithoutViewFactoryTest#setupDatabasePreCondition()
     */
    @Override
    @BeforeTransaction
    public void setupDatabasePreCondition() throws Exception {
        createInitialUserSession();
    }


    /**
     * Unknown request failure.
     *
     * @throws Exception the exception
     */
    @Test
    public final void unknownRequestFailure() throws Exception {
        AbstractServiceRequest unknownServiceRequest = new AbstractServiceRequest(initialUserSession.getId()) {

            /**
             * 
             */
            private static final long serialVersionUID = 1L;
        
        };

        serviceResponse = this.applicationManager.service(unknownServiceRequest);
        Assert.assertEquals(ServiceResult.FAILURE, serviceResponse.getResult());        
    }

    /* (non-Javadoc)
     * @see com.hack23.cia.functionalintegrationtest.scenarios.service.common.AbstractServiceRequestFunctionalIntegrationTest#verifyDatabasePostCondition()
     */
    @Override
    @AfterTransaction
    public void verifyDatabasePostCondition() throws Exception {
        
    }

}
