/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.functionalintegrationtest.scenarios.service.common;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.test.context.transaction.AfterTransaction;
import org.springframework.test.context.transaction.BeforeTransaction;

import com.hack23.cia.model.application.impl.common.UserSession;
import com.hack23.cia.service.impl.common.UserSessionService;
import com.hack23.cia.testfoundation.AbstractFunctionalIntegrationTransactionalTest;

/**
 * The Class UserSessionServiceImplLoginSuccessFullTest.
 */
public class UserSessionServiceImplLoginSuccessFullTest extends
        AbstractFunctionalIntegrationTransactionalTest {

    /** The user session service. */
    @Autowired
    @Qualifier("userSessionService")
    private UserSessionService userSessionService;

    /**
     * Instantiates a new user session service impl login success full test.
     */
    public UserSessionServiceImplLoginSuccessFullTest() {
        super();
        this.testScenarioName = this.getClass().getSimpleName();
    }

    /**
     * Login succeeds.
     *
     * @throws Exception the exception
     */
    @Test
    public final void loginSucceeds() throws Exception {
        UserSession userSession = new UserSession();
        userSessionService.login("test", "admin", userSession); //$NON-NLS-1$ //$NON-NLS-2$
    }

    /**
     * Setup database pre condition.
     *
     * @throws Exception the exception
     */
    @BeforeTransaction
    public void setupDatabasePreCondition() throws Exception {
    }

    /**
     * Verify database post condition.
     *
     * @throws Exception the exception
     */
    @AfterTransaction
    public void verifyDatabasePostCondition() throws Exception {
    }
}
