/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.functionalintegrationtest.scenarios.web.service;

import org.junit.Assert;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.mock.web.MockHttpServletResponse;

import com.hack23.cia.model.application.impl.common.Language;
import com.hack23.cia.model.application.impl.common.ParliamentChart;
import com.hack23.cia.web.service.ImageResourcesService;

/**
 * The Class ImageResourcesServiceSuccessTest.
 */
public class ImageResourcesServiceSuccessTest  extends AbstractFunctionalIntegrationWebServiceTest {

	/** The image resources service. */
	@Autowired
    protected ImageResourcesService imageResourcesService;

	/**
	 * Load image by filename succeeds.
	 *
	 * @throws Exception the exception
	 */
	@Test
	public void loadImageByFilenameSucceeds() throws Exception {
		MockHttpServletRequest mockHttpServletRequest = new MockHttpServletRequest("GET", "/image");
		Language language = new Language();
		language.setShortCode("sv");
		mockHttpServletRequest.addParameter("filename", ParliamentChart
				.getFileName(ParliamentChart.Outcome, language));
		MockHttpServletResponse moHttpServletResponse = new MockHttpServletResponse();

		imageResourcesService.handleRequest(mockHttpServletRequest, moHttpServletResponse);

		Assert.assertEquals("image/png",moHttpServletResponse.getContentType());
	}

}
